%undefine __cmake_in_source_build

Summary:       C++ library for creating Postscript documents
Name:          lasi
Version:       1.1.3
Release:       4%{?dist}
License:       LGPLv2+
URL:           http://www.unifont.org/lasi/
Source0:       http://downloads.sourceforge.net/lasi/libLASi-%{version}.tar.gz

Patch3000:     lasi-multilib.patch

BuildRequires: gcc-c++ cmake pango-devel doxygen dejavu-sans-mono-fonts

%description
LASi is a library written by Larry Siden  that provides a C++ stream output interface ( with operator << )
for creating Postscript documents that can contain characters from any of the scripts and symbol blocks
supported in Unicode  and by Owen Taylor's Pango layout engine. The library accommodates right-to-left
scripts such as Arabic and Hebrew as easily as left-to-right scripts. Indic and Indic-derived Complex Text
Layout (CTL) scripts, such as Devanagari, Thai, Lao, and Tibetan are supported to the extent provided by
Pango and by the OpenType fonts installed on your system. All of this is provided without need for any special
configuration or layout calculation on the programmer's part.

Although the capability to produce Unicode-based multilingual Postscript documents exists in large Open Source
application framework libraries such as GTK+, QT, and KDE, LASi was designed for projects which require the ability
to produce Postscript independent of any one application framework.

%package        devel
Summary:        Development headers and libraries for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       pango-devel

%description    devel
C++ library for creating Postscript documents.

%prep
%autosetup -n libLASi-%{version} -p1
sed -i -e '/set(docdir/s| .*| %{_pkgdocdir}|' cmake/modules/instdirs.cmake

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS -std=c++14"
export FFLAGS="$RPM_OPT_FLAGS"
%cmake \
    -DUSE_RPATH=OFF \
    -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
    %{nil}
%cmake_build

%install
%cmake_install

# do not support html doc
rm -rf %{buildroot}%{_defaultdocdir}/%{name}/html

%check
%ctest --verbose

%files
%license COPYING
%doc AUTHORS ChangeLog.release README
%{_libdir}/libLASi.so.2*

%files devel
%doc %{_datadir}/lasi%{version}/
%{_includedir}/LASi.h
%{_libdir}/libLASi.so
%{_libdir}/pkgconfig/lasi.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.3-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 1 2023 Shuo Wang <abushwang@tencent.com> - 1.1.3-1
- initial build
